Index: freeDiameter/fdd.y
===================================================================
--- freeDiameter/fdd.y	(revision 8)
+++ freeDiameter/fdd.y	(revision 10)
@@ -63,9 +63,9 @@
 {
 	if (ploc->first_line != ploc->last_line)
-		fprintf(stderr, "%s:%d.%d-%d.%d : %s\n", conf->conf_file, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
+		fprintf(stderr, "%s:%d.%d-%d.%d : %s\n", conf->cnf_file, ploc->first_line, ploc->first_column, ploc->last_line, ploc->last_column, s);
 	else if (ploc->first_column != ploc->last_column)
-		fprintf(stderr, "%s:%d.%d-%d : %s\n", conf->conf_file, ploc->first_line, ploc->first_column, ploc->last_column, s);
+		fprintf(stderr, "%s:%d.%d-%d : %s\n", conf->cnf_file, ploc->first_line, ploc->first_column, ploc->last_column, s);
 	else
-		fprintf(stderr, "%s:%d.%d : %s\n", conf->conf_file, ploc->first_line, ploc->first_column, s);
+		fprintf(stderr, "%s:%d.%d : %s\n", conf->cnf_file, ploc->first_line, ploc->first_column, s);
 }
 
@@ -111,6 +111,11 @@
 			| conffile localidentity
 			| conffile localrealm
+			| conffile tctimer
+			| conffile twtimer
 			| conffile localport
 			| conffile localsecport
+			| conffile sctpstreams
+			| conffile listenon
+			| conffile norelay
 			| conffile noip
 			| conffile noip6
@@ -119,9 +124,4 @@
 			| conffile prefertcp
 			| conffile oldtls
-			| conffile sctpstreams
-			| conffile listenon
-			| conffile tctimer
-			| conffile twtimer
-			| conffile norelay
 			| conffile loadext
 			;
@@ -129,5 +129,5 @@
 localidentity:		LOCALIDENTITY '=' QSTRING ';'
 			{
-				conf->diam_id = $3;
+				conf->cnf_diamid = $3;
 			}
 			;
@@ -135,5 +135,21 @@
 localrealm:		LOCALREALM '=' QSTRING ';'
 			{
-				conf->diam_realm = $3;
+				conf->cnf_diamrlm = $3;
+			}
+			;
+
+tctimer:		TCTIMER '=' INTEGER ';'
+			{
+				CHECK_PARAMS_DO( ($3 > 0),
+					{ yyerror (&yylloc, conf, "Invalid value"); YYERROR; } );
+				conf->cnf_timer_tc = (unsigned int)$3;
+			}
+			;
+
+twtimer:		TWTIMER '=' INTEGER ';'
+			{
+				CHECK_PARAMS_DO( ($3 > 5),
+					{ yyerror (&yylloc, conf, "Invalid value"); YYERROR; } );
+				conf->cnf_timer_tw = (unsigned int)$3;
 			}
 			;
@@ -143,5 +159,5 @@
 				CHECK_PARAMS_DO( ($3 > 0) && ($3 < 1<<16),
 					{ yyerror (&yylloc, conf, "Invalid value"); YYERROR; } );
-				conf->loc_port = (uint16_t)$3;
+				conf->cnf_port = (uint16_t)$3;
 			}
 			;
@@ -151,41 +167,5 @@
 				CHECK_PARAMS_DO( ($3 > 0) && ($3 < 1<<16),
 					{ yyerror (&yylloc, conf, "Invalid value"); YYERROR; } );
-				conf->loc_port_tls = (uint16_t)$3;
-			}
-			;
-
-noip:			NOIP ';'
-			{
-				conf->flags.no_ip4 = 1;
-			}
-			;
-
-noip6:			NOIP6 ';'
-			{
-				conf->flags.no_ip6 = 1;
-			}
-			;
-
-notcp:			NOTCP ';'
-			{
-				conf->flags.no_tcp = 1;
-			}
-			;
-
-nosctp:			NOSCTP ';'
-			{
-				conf->flags.no_sctp = 1;
-			}
-			;
-
-prefertcp:		PREFERTCP ';'
-			{
-				conf->flags.pr_tcp = 1;
-			}
-			;
-
-oldtls:			OLDTLS ';'
-			{
-				conf->flags.tls_alg = 1;
+				conf->cnf_port_tls = (uint16_t)$3;
 			}
 			;
@@ -195,5 +175,5 @@
 				CHECK_PARAMS_DO( ($3 > 0) && ($3 < 1<<16),
 					{ yyerror (&yylloc, conf, "Invalid value"); YYERROR; } );
-				conf->loc_sctp_str = (uint16_t)$3;
+				conf->cnf_sctp_str = (uint16_t)$3;
 			}
 			;
@@ -218,21 +198,5 @@
 				free($3);
 				freeaddrinfo(ai);
-				fd_list_insert_before(&conf->loc_endpoints, &ep->chain);
-			}
-			;
-
-tctimer:		TCTIMER '=' INTEGER ';'
-			{
-				CHECK_PARAMS_DO( ($3 > 0),
-					{ yyerror (&yylloc, conf, "Invalid value"); YYERROR; } );
-				conf->timer_tc = (unsigned int)$3;
-			}
-			;
-
-twtimer:		TWTIMER '=' INTEGER ';'
-			{
-				CHECK_PARAMS_DO( ($3 > 5),
-					{ yyerror (&yylloc, conf, "Invalid value"); YYERROR; } );
-				conf->timer_tw = (unsigned int)$3;
+				fd_list_insert_before(&conf->cnf_endpoints, &ep->chain);
 			}
 			;
@@ -240,5 +204,41 @@
 norelay:		NORELAY ';'
 			{
-				conf->flags.no_fwd = 1;
+				conf->cnf_flags.no_fwd = 1;
+			}
+			;
+
+noip:			NOIP ';'
+			{
+				conf->cnf_flags.no_ip4 = 1;
+			}
+			;
+
+noip6:			NOIP6 ';'
+			{
+				conf->cnf_flags.no_ip6 = 1;
+			}
+			;
+
+notcp:			NOTCP ';'
+			{
+				conf->cnf_flags.no_tcp = 1;
+			}
+			;
+
+nosctp:			NOSCTP ';'
+			{
+				conf->cnf_flags.no_sctp = 1;
+			}
+			;
+
+prefertcp:		PREFERTCP ';'
+			{
+				conf->cnf_flags.pr_tcp = 1;
+			}
+			;
+
+oldtls:			OLDTLS ';'
+			{
+				conf->cnf_flags.tls_alg = 1;
 			}
 			;
